<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough">
<h:head>
    <title>Login - ZTH-final</title>
    
    <style type="text/css">
        body {
            font-family: sans-serif;
            font-size: 16px;
        }
        
        .loginForm {
            margin-top: 100px;
            margin-left: auto;
            margin-right: auto;
            width: 300px;
            border: 1px solid #F0F0F0;
            border-radius: 4px;
            background-color: #FCFCFC;
            padding: 24px;
            color: #505050;
        }
        
        input[type='text'], input[type='password'] {
            width: 100%;
            height: 32px;
            color: #101010;
            font-weight: bold;
            font-size: 22px;
            margin-bottom: 16px;
        }
        
        input[type='submit'] {
            width: 100px;
            height: 32px;
            font-weight: bold;
            background-color: #D0FFD0;
            border: 1px solid #A0CCA0;
            color: #308030;
            font-size: 16px;
        }

        input[type='submit']:hover {
            background-color: #C0EFC0;
        }
        
        .error {
            color: #A00000;
            background-color: #FFD0D0;
            border: 1px solid #FFA0A0;
            border-radius: 4px;
            text-align: center;
            padding: 8px;
            margin: 8px 8px 24px;
        }

        .rightIt * {
            float: right;
        }

        .rightIt:after {
            content: '';
            display: block;
            clear: both;
        }
        
        .customHr {
            border-top: 1px solid #F0F0F0;
            margin-top: 4px;
            margin-bottom: 4px;
        }
    </style>
</h:head>
<body>

<div class="loginForm">
    <h2 style="margin-top: 8px;">Login</h2>
    
    <h:form>
        <h:panelGroup rendered="#{not empty loginBean.error}">
            <div class="error">
                <h:outputText value="#{loginBean.error}"/>
            </div>
        </h:panelGroup>
        
        <h:outputLabel for="username" value="Username:"/>
        <h:inputText id="username" binding="#{userInp}" a:autofocus="#{empty userInp.value ? true : null}"/>
        
        <h:outputLabel for="password" value="Password:"/>
        <h:inputSecret id="password" binding="#{passInp}" a:autofocus="#{empty userInp.value ? null : true}"/>
        
        <div class="customHr"/>
        <div class="rightIt">
            <h:commandButton value="Login" action="#{loginBean.login(userInp.value, passInp.value)}"/>
        </div>
    </h:form>
</div>

</body>
</html>
